Bug 382261 - %prep hangs
%prep hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compat-gcc-32 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 06:56 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-14 06:56:04 EST
Description of problem:

The %prep goes this far

...
+ cp -a libstdc++33-v3/config/cpu/i486/atomicity.h
libstdc++33-v3/config/cpu/i386/atomicity.h
+ ./contrib/gcc_update --touch
Touching gcc/cstamp-h.in...
Touching gcc/config.in...
Touching gcc/ada/treeprs.ads...
Touching gcc/ada/einfo.h...
Touching gcc/ada/sinfo.h...
Touching gcc/ada/nmake.adb...
Touching gcc/ada/nmake.ads...
Touching libf2c/libI77/config.h.in...
Touching fastjar/stamp-h.in...
Touching boehm-gc/aclocal.m4...
Touching boehm-gc/Makefile.in...
Touching boehm-gc/configure...
Touching libjava/aclocal.m4...
Touching libjava/configure...

And then apparently hangs.

bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(12539)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(12551)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(12913)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(12925)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)─┬─grep(13674)
                                                └─make(13673)───sh(13681)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(13706)
bash-3.2# pstree -lp 10619
rpmbuild(10619)───sh(10631)───gcc_update(10714)───sleep(13729)

I left it running for 2 hours now thinking that something reasonable happens. I
did not see any progress though.

Version-Release number of selected component (if applicable):

compat-gcc-32-3.2.3-62

Additional info:

It happens fairly often to me that compat-gcc-* packages loop somewhere around
here when I do rpmbuild -bp on them. I usually run it in minimal chroots.
Comment 1 Jakub Jelinek 2007-11-20 04:26:30 EST
Do you have (approximately) correct date?  E.g. for 1970-01-01 or anything older
than when the files were modified in the tarball) certainly wouldn't surprise me.
Comment 2 Lubomir Kundrak 2007-11-20 05:30:24 EST
Hmm, two hours in future. That shouldn't make any harm.
Comment 3 Lubomir Kundrak 2007-12-18 17:07:11 EST
Just do a "make prep" in "pkgs/compat-gcc-32/devel" in "Fedora 8" and you'll be
able to reproduce it.
Comment 4 Lubomir Kundrak 2007-12-18 17:17:07 EST
+ sh -x ./contrib/gcc_update --touch
+ UPDATE_OPTIONS=-Pd
+ self=./contrib/gcc_update
+ '[' '!' -f gcc/version.c ']'
+ case "$1" in
+ test 1 '!=' 1
+ touch_files
+ rm -f Makefile.24934
+ echo 'all: \'
+ files_and_dependencies
+ sed -e 's/ *#.*//' -e '/^$/d' -e s/://
+ sed 's, .*, \\,'
+ echo '; @true'
+ files_and_dependencies
+ sed -e 's/ *#.*//' -e '/^$/d' -e s/://
+ sed 's, ,: ,'
+ files_and_dependencies
+ sed -e 's/ *#.*//' -e '/^$/d' -e s/://
+ sed 's, .*, \\,'
+ echo :
+ echo '        @for f in $?; do test -f $$f || exit 0; done; \'
+ echo '        echo Touching $@...; \'
+ echo '        echo Touching $@... 1>&2; \'
+ echo '        touch $@'
+ files_and_dependencies
+ sed -e 's/ *#.*//' -e '/^$/d' -e s/://
+ sed 's,[^ ]* ,,;s,$, :,'
+ make -f Makefile.24934 all
+ grep .
Touching gcc/cstamp-h.in...
Touching gcc/config.in...
Touching gcc/ada/treeprs.ads...
Touching gcc/ada/einfo.h...
Touching gcc/ada/sinfo.h...
Touching gcc/ada/nmake.adb...
Touching gcc/ada/nmake.ads...
Touching libf2c/libI77/config.h.in...
Touching fastjar/stamp-h.in...
Touching boehm-gc/aclocal.m4...
Touching boehm-gc/Makefile.in...
Touching boehm-gc/configure...
Touching libjava/aclocal.m4...
Touching libjava/Makefile.in...
Touching libjava/configure...
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
+ grep .
+ sleep 1
+ make -f Makefile.24934 all
...
Comment 5 Lubomir Kundrak 2007-12-18 17:34:31 EST
Soo, it seems like if MAKELEVEL is not 0, make generates output even though no
work is to be done and thus makes gcc_update who considers only presence of
output (the "grep ." below) think that something changed (seems like our build
system defines that since some time ago):

gcc_update
>    while ${MAKE-make} -f Makefile.$$ all | grep . ; do
>      sleep 1

sh-3.2$ make -f Makefile.26424
make[1]: Entering directory
`/home/lkundrak/devel/fedora/pkgs/compat-gcc-32/devel/gcc-3.2.3-20040701'
make[1]: Leaving directory
`/home/lkundrak/devel/fedora/pkgs/compat-gcc-32/devel/gcc-3.2.3-20040701'
sh-3.2$ MAKELEVEL=0 make -f Makefile.26424
sh-3.2$ 

So, in the shortest run, prepending the gcc_update call in the SPEC file solves
the situation.

-./contrib/gcc_update --touch
+MAKELEVEL=0 ./contrib/gcc_update --touch

It might be desirable to do the change in other gcc[-compat] packgaes,
prefferably fixing the gcc_update to either set the level itself or consider the
return value instead.
Comment 6 Jakub Jelinek 2007-12-18 17:41:32 EST
gcc_update starting with gcc 4.0 uses grep Touching instead of grep . there.
If/when I rebuild the compat packages, I'll change it, but this is nothing I
would do an errata for.
Comment 7 Bug Zapper 2008-05-13 23:53:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 19:11:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:25:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.